Skip to content

Activate DSP RTB EP

This endpoint activates DSP RTB EP. DSP RTB EP is active by default, so you shouldn’t make this request unless the DSP RTB EP is inactive.

POST https://adelion.com/api/ortb/dsprtbep/activate
ParameterTypeDescriptionRequirement
IdintDSP RTB EP ID.required
JSON payload example
{
"DspRtbEp": {
"Id": 1
}
}
Success JSON
{
"Status": "Ok",
"DspRtbEp": {
"Id": 1,
"TeamId": 1,
"AdvertiserId": 1,
"AdvertiserName": "Advertiser",
"Name": "DSP RTB EP 1",
"Tags": [
1
],
"DspBidfloorMargin": 5.0,
"ZoneUrlUsEast": "https://us-east.advertiser.com/rtb?zone=123",
"ZoneUrlEu": "https://eu.advertiser.com/rtb?zone=123",
"ZoneUrlApac": "https://apac.advertiser.com/rtb?zone=123",
"StatsApi": "",
"StatsDashboardUrl": "",
"MaxQps": 0,
"ExpiryWindow": 20,
"AutoOptimize": 1,
"AddSchainNode": 1,
"DiscardSchain": 0,
"Gzip": 0,
"RequestsDailyLimit": 0,
"BidsDailyLimit": 0,
"ImpressionsDailyLimit": 0,
"ImpressionsLimitPerIp": 5,
"RevenueDailyLimit": 0.0,
"BannerEnabled": 1,
"VideoEnabled": 1,
"AudioEnabled": 1,
"NativeEnabled": 1,
"PopEnabled": 1,
"WebEnabled": 1,
"AppEnabled": 1,
"MaxBidfloor": 0.8,
"MinTmax": 350,
"MaxIvt": 50.0,
"MaxSchainNodes": 0,
"AuctionType" : 0,
"DomainsBrandsListMode": 0,
"DomainsBrandsList": [
1
],
"AppsListMode": 0,
"AppsList": [
1
],
"SizesListMode": 1,
"SizesList": [
"300x250",
"320x480"
],
"PubIdListMode": 0,
"PubIdList": "",
"IpBlacklists": [
1
],
"NonEmptyReferer": 1,
"RefererMatch": 1,
"IpMatch": 1,
"UaMatch": 1,
"AllowIpV6": 1,
"CheckSiteLive": 0,
"CheckAppStore": 0,
"CompleteSchain": 0,
"IabCategories": [
"IAB1-1",
"IAB2-1",
"IAB3"
],
"CridListMode": 0,
"CridList": "",
"SeatListMode": 0,
"SeatList": "",
"CustomParams": {
"imp.tagid": "tag12345",
"imp.video.w": "1920"
},
"CustomParamsNew": [
{
"Param": "imp.tagid",
"Value": "tag12345",
"ConditionParam": "",
"ConditionOperator": 0,
"ConditionValue": ""
},
{
"Param": "imp.video.w",
"Value": "1920",
"ConditionParam": "",
"ConditionOperator": 0,
"ConditionValue": ""
}
],
"Countries": [
{
"CC": "US",
"Country": "United States"
}
],
"Os": [
{
"Family": "Windows",
"Versions": [
{
"Major": "10",
"Minor": ""
}
]
}
],
"Browsers": [
{
"Family": "Chrome"
}
],
"DeviceTypes": [
1,
2,
3,
4,
5
],
"BannerEps": [
1
],
"VastTags": [
1
],
"RtbEps": [
1
],
"PopFeeds": [
1
],
"StatsByDateCsv": "https://adelion.com/api/ortb/stats/advertiser/rtb?username=advertiser1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}",
"StatsByDateJson": "https://adelion.com/api/ortb/stats/advertiser/rtb?username=advertiser1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}&type=json",
"Qps": 422,
"TodayRevenue": 15.0,
"TodayFillRate": 8.0,
"YesterdayRevenue": 15.0,
"YesterdayFillRate": 8.0,
"AccManagerId": 5,
"AccManagerName": "John Doe",
"Status": 0,
"StatusString": "Active"
}
}
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
CodeStatusMeaning
400Bad RequestYou sent a body that isn’t JSON.
401UnauthorizedYour access token is invalid.
406Not AcceptableOne or more JSON values are missing or malformed, or the requested object was not found.
500Internal Server ErrorThe server encountered a problem. Try again later.